Package org.springframework.security.config.debug

# Class SecurityDebugBeanFactoryPostProcessor

java.lang.Object
org.springframework.security.config.debug.SecurityDebugBeanFactoryPostProcessor

All Implemented Interfaces:
  `org.springframework.beans.factory.config.BeanFactoryPostProcessor`, `org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor`

public class SecurityDebugBeanFactoryPostProcessor extends Object implements org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor

## Constructor Summary

Constructors
Constructor
Description
`SecurityDebugBeanFactoryPostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
`void`
`postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecurityDebugBeanFactoryPostProcessor

public SecurityDebugBeanFactoryPostProcessor()

## Method Details

### postProcessBeanDefinitionRegistry

public void postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry) throws org.springframework.beans.BeansException

Specified by:
  `postProcessBeanDefinitionRegistry` in interface `org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor`
Throws:
  `org.springframework.beans.BeansException`

### postProcessBeanFactory

public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory) throws org.springframework.beans.BeansException

Specified by:
  `postProcessBeanFactory` in interface `org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor`
Specified by:
  `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
Throws:
  `org.springframework.beans.BeansException`